Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.20 veröffentlicht (27.02.19)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Aktualisierung von Version 1.6.5 zu 1.6.10 scheitert
#1
Hallo zusammen,

ich wollte heute die Forensoftware von 1.6.5 zu 1.6.10 upgraden und bin so vorgegangen, wie es in der Dokumentation beschrieben ist. Also Backup, config.php und settings.php gesichert, etc.

Dann habe ich den Forenorder komplett gelöscht, die Dateien aus dem Upload-Ordner von 1.6.10 vollständig hochgeladen, die Datei-/ Ordnerrechte angepasst und die config.php und settings.php wieder hochgeladen. Wenn ich dann den Domainnamen/install/upgrade.php aufrufe, erhalte ich aber nur eine Fehlermeldung:

"Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /homepages/8/d280947960/htdocs/dewvg/forumg/inc/class_core.php on line 18"

mit der ich nichts anfangen kann. An der class_core.php habe ich nichts verändert. Die ist auf dem Server genau so, wie sie in dem Upload-Ordner drin war.. Sad

Wäre schön, wenn mir jemand bei dem Problem helfen könnte.
#2
Offenbar hast doch noch PHP 4, das MyBB benötigt aber PHP 5.1 oder höher.
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#3
Daran kann es nicht liegen. Die Version 1.6.5 läuft problemlos. Laut Übersicht in MyBB ist auf dem Server die PHP-Version 5.2.17 installiert.
#4
Es muss daran liegen, vielleicht hast du PHP 5 via htaccess aktiviert und diese gelöscht?
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#5
Mhh. Wie PHP aktiviert wurde, weiß ich leider nicht. Ich habe das Forum im jetzigen Zustand (1.6.5) übernommen und da läuft alles ohne Probleme. Ich wollte jetzt als erstes auf das aktuellste Release upgraden, dabei kam halt diese Fehlermeldung.

htaccess-Dateien habe ich nicht gelöscht; bin einfach nur nach Anleitung vorgegangen. Das PHP läuft auf einem 1und1-Server, da könnte ich auch manuell nichts dran ändern.

*grübel grübel
#6
Siehe: http://hilfe-center.1und1.de/homepage-en...91784.html
[Bild: banner.png]

Bitte die Foren-Regeln beachten und im Profil die verwendete MyBB-Version angeben.
#7
Ahh. Jetzt habe ich erstmal verstanden, was du gemeint hast.. Blush Ich habe auf dem Server nochmal nachgeschaut und da lag tatsächlich im Ordner des Forums die .htaccess-Datei, die logischerweise nach dem Löschen und Aufspielen des Updates weg war. Ich habe die nach dem Update wieder kopiert und jetzt läuft alles.

Danke für die schnelle Hilfe! Thumbs_up


Möglicherweise verwandte Themen...
Thema Verfasser Antworten Ansichten Letzter Beitrag
  Aktualisierung von 1.6.7 auf 1.6.12 Weltenbummler 5 1.102 14.01.2014, 22:19
Letzter Beitrag: Weltenbummler
  Aktualisierung von 1.4.9 auf 1.6.2 seppwert 1 1.025 25.02.2011, 10:03
Letzter Beitrag: StefanT